<?php
use wcf\data\user\group\UserGroup;
use wcf\system\dashboard\DashboardHandler;
use wcf\system\WCF;

/**
 * @author	Marcel Werk
 * @copyright	2001-2012 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 */
$package = $this->installation->getPackage();

// set default values for dashboard boxes
DashboardHandler::setDefaultValues('com.woltlab.wcf.user.DashboardPage', array(
	// content
	'com.woltlab.wbb.threadsAsNews' => 1,
	'com.woltlab.wbb.unreadPosts' => 2,
	// sidebar
	'com.woltlab.wbb.latestPosts' => 3,
	'com.woltlab.wbb.boardTagCloud' => 4
));
DashboardHandler::setDefaultValues('com.woltlab.wbb.BoardListPage', array(
	'com.woltlab.wbb.latestPosts' => 1,
	'com.woltlab.wcf.user.recentActivitySidebar' => 2,
	'com.woltlab.wbb.mostActiveThreads' => 2,
	'com.woltlab.wbb.boardTagCloud' => 3 

));
DashboardHandler::setDefaultValues('com.woltlab.wbb.BoardPage', array(
	'com.woltlab.wbb.mostActiveThreads' => 1,
	'com.woltlab.wbb.boardTagCloud' => 2 
));

// hijack members list sort field
$sql = "UPDATE	wcf".WCF_N."_option
	SET	optionValue = ?,
		selectOptions = ".(WCF::getDB()->getDBType() == 'wcf\system\database\MySQLDatabase' ? "CONCAT(selectOptions, '\n', 'wbbPosts:wbb.post.posts')" : "(selectOptions || '\n' || 'wbbPosts:wbb.post.posts')")."
	WHERE	optionName = ?";
$statement = WCF::getDB()->prepareStatement($sql);
$statement->execute(array('wbbPosts', 'members_list_default_sort_field'));

// set install date
$sql = "UPDATE	wcf".WCF_N."_option
	SET	optionValue = ?
	WHERE	optionName = ?";
$statement = WCF::getDB()->prepareStatement($sql);
$statement->execute(array(TIME_NOW, 'wbb_install_date'));

// set default mod permissions
$group = new UserGroup(5);
if ($group->groupID) {
	$sql = "REPLACE INTO 	wcf".WCF_N."_user_group_option_value
				(groupID, optionID, optionValue)
		SELECT		5, optionID, 1
		FROM		wcf".WCF_N."_user_group_option
		WHERE		optionName LIKE 'mod.board.%'
				AND optionName <> 'mod.board.isSuperMod'";
	$statement = WCF::getDB()->prepareStatement($sql);
	$statement->execute();
}
$group = new UserGroup(6);
if ($group->groupID) {
	$sql = "REPLACE INTO 	wcf".WCF_N."_user_group_option_value
				(groupID, optionID, optionValue)
		SELECT		6, optionID, 1
		FROM		wcf".WCF_N."_user_group_option
		WHERE		optionName LIKE 'mod.board.%'";
	$statement = WCF::getDB()->prepareStatement($sql);
	$statement->execute();
}

// set default page title
if (!defined('PAGE_TITLE') || !PAGE_TITLE) {
	$sql = "UPDATE	wcf".WCF_N."_option
		SET	optionValue = ?
		WHERE	optionName = ?";
	$statement = WCF::getDB()->prepareStatement($sql);
	$statement->execute(array('WoltLab Burning Board 4.0', 'page_title'));
}
