/**
 * Class and function collection for WBB ACP
 * 
 * @author	Alexander Ebert
 * @copyright 	2001-2011 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 */

/**
 * Initialize WBB.ACP namespace
 */
if (!WBB) var WBB = {};
WBB.ACP = {};

/**
 * Namespace for board-related actions
 */
WBB.ACP.Board = {};

/**
 * Collapsible implementation for board list.
 */
WBB.ACP.Board.Collapsible = WCF.Collapsible.SimpleRemote.extend({
	/**
	 * @see	WCF.Collapsible.SimpleRemote._getContainers()
	 */
	_getContainers: function() {
		return $('#boardNodeList .jsCollapsibleCategory');
	},
	
	/**
	 * @see	WCF.Collapsible.SimpleRemote._getTarget()
	 */
	_getTarget: function(containerID) {
		return this._containers[containerID].children('ol').first();
	},
	
	/**
	 * @see	WCF.Collapsible.SimpleRemote._getButtonContainer()
	 */
	_getButtonContainer: function(containerID) {
		return this._containers[containerID].children('span').first();
	},
	
	/**
	 * @see	WCF.Collapsible.SimpleRemote._getObjectID()
	 */
	_getObjectID: function(containerID) {
		return this._containers[containerID].data('objectID');
	}
});

/**
 * Handles deleting boards.
 */
WBB.ACP.Board.Delete = WCF.Action.NestedDelete.extend({
	/**
	 * @see	WCF.Action.NestedDelete._didTriggerEffect
	 */
	_didTriggerEffect: function(element) {
		if (!this._containers.length) {
			window.location.reload();
		}
	}
});
