<?php
namespace wbb\acp\page;
use wbb\data\board\RealtimeBoardNodeList;
use wcf\page\AbstractPage;
use wcf\system\user\collapsible\content\UserCollapsibleContentHandler;
use wcf\system\WCF;

/**
 * Shows the board list.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2012 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	acp.page
 * @category	Burning Board
 */
class BoardListPage extends AbstractPage {
	/**
	 * @see	wcf\page\AbstractPage::$activeMenuItem
	 */
	public $activeMenuItem = 'wbb.acp.menu.link.board.list';
	
	/**
	 * board node list
	 * @var	wbb\data\board\RealtimeBoardNodeList
	 */
	public $boards = null;
	
	/**
	 * list of collapsed category ids
	 * @var	array<integer>
	 */
	public $collapsedCategoryIDs = array();
	
	/**
	 * @see	wcf\page\IPage::readData()
	 */
	public function readData() {
		parent::readData();
		
		$this->boards = new RealtimeBoardNodeList();
		$this->boards->readNodeTree();
		
		$objectTypeID = UserCollapsibleContentHandler::getInstance()->getObjectTypeID('com.woltlab.wbb.acpBoard');
		$this->collapsedCategoryIDs = UserCollapsibleContentHandler::getInstance()->getCollapsedContent($objectTypeID);
	}
	
	/**
	 * @see	wcf\page\IPage::assignVariables()
	 */
	public function assignVariables() {
		parent::assignVariables();
		
		WCF::getTPL()->assign(array(
			'boardNodeList' => $this->boards->getNodeList(),
			'collapsedCategoryIDs' => $this->collapsedCategoryIDs
		));
	}
}
