<?php
namespace wbb\data\board;
use wbb\system\cache\builder\BoardTagCloudCacheBuilder;
use wcf\system\tagging\TagCloud;

/**
 * Tag cloud implementation for boards.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.board
 * @category	Burning Board
 */
class BoardTagCloud extends TagCloud {
	/**
	 * board id
	 * @var	integer
	 */
	public $boardID = 0;
	
	/**
	 * @see	wcf\system\tagging\TagCloud::__construct()
	 */
	public function __construct($boardID, array $languageIDs = array()) {
		$this->boardID = $boardID;
		
		parent::__construct($languageIDs);
	}
	
	/**
	 * @see	wcf\system\tagging\TagCloud::loadCache()
	 */
	protected function loadCache() {
		$this->tags = BoardTagCloudCacheBuilder::getInstance()->getData(array(
			'boardID' => $this->boardID,
			'languageIDs' => $this->languageIDs
		));
	}
}
