<?php
namespace wbb\data\modification\log;
use wbb\system\log\modification\ThreadModificationLogHandler;
use wcf\data\modification\log\ModificationLogList;

/**
 * Represents a list of modification logs for board page.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.modification.log
 * @category	Burning Board
 */
class BoardModificationLogList extends ModificationLogList {
	/**
	 * Initializes the board modification log list.
	 * 
	 * @param	array<integer>		$threadIDs
	 * @param	string			$action
	 */
	public function setThreadData(array $threadIDs, $action = '') {
		// load object type id
		$objectType = ThreadModificationLogHandler::getInstance()->getObjectType('com.woltlab.wbb.thread');
		
		// add conditions
		$this->getConditionBuilder()->add("objectTypeID = ?", array($objectType->objectTypeID));
		$this->getConditionBuilder()->add("objectID IN (?)", array($threadIDs));
		if (!empty($action)) $this->getConditionBuilder()->add("action = ?", array($action));
	}
	
	/**
	 * @see	wcf\data\DatabaseObjectList::readObjects()
	 */
	public function readObjects() {
		parent::readObjects();
		
		foreach ($this->objects as &$object) {
			$object = new ViewableBoardThreadModificationLog($object);
		}
		unset($object);
	}
}
