<?php
namespace wbb\data\post;
use wcf\data\DatabaseObjectEditor;
use wcf\system\WCF;

/**
 * Provides functions to edit posts.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.post
 * @category	Burning Board
 */
class PostEditor extends DatabaseObjectEditor {
	/**
	 * @see	wcf\data\DatabaseObjectDecorator::$baseClass
	 */
	protected static $baseClass = 'wbb\data\post\Post';
	
	/**
	 * Updates the post counter of the given users.
	 * 
	 * @param	array		$users		user id => post counter increase/decrease
	 */
	public static function updatePostCounter(array $users) {
		$sql = "UPDATE	wcf".WCF_N."_user
			SET	wbbPosts = wbbPosts + ?
			WHERE	userID = ?";
		$statement = WCF::getDB()->prepareStatement($sql);
		foreach ($users as $userID => $posts) {
			$statement->execute(array($posts, $userID));
		}
	}
}
