<?php
namespace wbb\data\post;
use wbb\data\thread\Thread;

/**
 * Represents a list of all posts in a thread.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.posts
 * @category	Burning Board
 */
class ThreadPostList extends ViewablePostList {
	/**
	 * Creates a new ThreadPostList object.
	 * 
	 * @param	wbb\data\thread\Thread		$thread
	 * @param	boolean				$showDeletedPostNote
	 */
	public function __construct(Thread $thread, $showDeletedPostNote = true) {
		parent::__construct();
		
		$this->setThread($thread);
		
		$this->getConditionBuilder()->add('post.threadID = ?', array($this->thread->threadID));
		if (!$thread->getBoard()->getModeratorPermission('canEnablePost')) $this->getConditionBuilder()->add('post.isDisabled = 0');
		if ((!$showDeletedPostNote || !WBB_THREAD_ENABLE_DELETED_POST_NOTE) && !$thread->getBoard()->getModeratorPermission('canReadDeletedPost')) $this->getConditionBuilder()->add('post.isDeleted = 0');
	}
}
