<?php
namespace wbb\data\post;
use wcf\data\DatabaseObjectDecorator;
use wcf\system\infraction\warning\IWarnableObject;

/**
 * Warnable object implementation for posts.
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.post
 * @category	Burning Board
 */
class WarnablePost extends DatabaseObjectDecorator implements IWarnableObject {
	/**
	 * @see	wcf\data\DatabaseObjectDecorator::$baseClass
	 */
	protected static $baseClass = 'wbb\data\post\Post';
	
	/**
	 * @see	wcf\data\ITitledObject::getTitle()
	 */
	public function getTitle() {
		return $this->getDecoratedObject()->getTitle();
	}
	
	/**
	 * @see	wcf\data\ILinkableObject::getURL()
	 */
	public function getLink() {
		return $this->getDecoratedObject()->getLink();
	}
	
	/**
	 * @see	wcf\system\infraction\warning\IWarnable::getObjectID()
	 */
	public function getObjectID() {
		return $this->postID;
	}
	
	/**
	 * @see	wcf\data\IUserContent::getUserID()
	 */
	public function getUserID() {
		return $this->object->getUserID();
	}
	
	/**
	 * @see	wcf\data\IUserContent::getUsername()
	 */
	public function getUsername() {
		return $this->object->getUsername();
	}
	
	/**
	 * @see	wcf\data\IUserContent::getTime()
	 */
	public function getTime() {
		return $this->object->getTime();
	}
}
