<?php
namespace wbb\data\post;
use wcf\data\object\type\AbstractObjectTypeProvider;

/**
 * Object type provider for posts
 * 
 * @author	Tim Duesterhus
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.post
 * @category	Burning Board
 */
class WarnablePostProvider extends AbstractObjectTypeProvider {
	/**
	 * @see	wcf\data\object\type\AbstractObjectTypeProvider::$className
	 */
	public $className = 'wbb\data\post\Post';
	
	/**
	 * @see	wcf\data\object\type\AbstractObjectTypeProvider::$listClassName
	 */
	public $listClassName = 'wbb\data\post\PostList';
	
	/**
	 * @see	wcf\data\object\type\IObjectTypeProvider::getObjectByID()
	 */
	public function getObjectByID($objectID) {
		$object = parent::getObjectByID($objectID);
		
		return new WarnablePost($object);
	}
	
	/**
	 * @see	wcf\data\object\type\IObjectTypeProvider::getObjectsByIDs()
	 */
	public function getObjectsByIDs(array $objectIDs) {
		$objects = parent::getObjectsByIDs($objectIDs);
		foreach ($objects as &$object) {
			$object = new WarnablePost($object);
		}
		
		return $objects;
	}
}
