<?php
namespace wbb\data\thread;
use wcf\data\IFeedEntry;
use wcf\system\request\LinkHandler;

/**
 * Represents a viewable thread for RSS feeds.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.thread
 * @category	Burning Board
 */
class FeedThread extends ViewableThread implements IFeedEntry {
	/**
	 * @see	wcf\data\ILinkableObject::getLink()
	 */
	public function getLink() {
		return LinkHandler::getInstance()->getLink('Thread', array(
			'application' => 'wbb',
			'object' => $this->getDecoratedObject(),
			'appendSession' => false,
			'encodeTitle' => true
		));
	}
	
	/**
	 * @see	wcf\data\ITitledObject::getTitle()
	 */
	public function getTitle() {
		return $this->getDecoratedObject()->getTitle();
	}
	
	/**
	 * @see	wcf\data\IMessage::getFormattedMessage()
	 */
	public function getFormattedMessage() {
		return '';
	}
	
	/**
	 * @see	wcf\data\IMessage::getMessage()
	 */
	public function getMessage() {
		return '';
	}
	
	/**
	 * @see	wcf\data\IMessage::getExcerpt()
	 */
	public function getExcerpt($maxLength = 255) {
		return '';
	}
	
	/**
	 * @see	wcf\data\IMessage::getUserID()
	 */
	public function getUserID() {
		return $this->lastPosterID;
	}
	
	/**
	 * @see	wcf\data\IMessage::getUsername()
	 */
	public function getUsername() {
		return $this->lastPoster;
	}
	
	/**
	 * @see	wcf\data\IMessage::getTime()
	 */
	public function getTime() {
		return $this->lastPostTime;
	}
	
	/**
	 * @see	wcf\data\IMessage::__toString()
	 */
	public function __toString() {
		return $this->getDecoratedObject()->__toString();
	}
	
	/**
	 * @see	wcf\data\IFeedEntry::getComments()
	 */
	public function getComments() {
		return $this->replies;
	}
	
	/**
	 * @see	wcf\data\IFeedEntry::getCategories()
	 */
	public function getCategories() {
		return array();
	}
	
	/**
	 * @see	wcf\data\IMessage::isVisible()
	 */
	public function isVisible() {
		return $this->canRead();
	}
}
