<?php
namespace wbb\data\thread;
use wcf\system\bbcode\AttachmentBBCode;
use wcf\system\bbcode\MessageParser;
use wcf\util\StringUtil;

/**
 * Represents a news entry.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.thread
 * @category	Burning Board
 */
class News extends ViewableThread {
	/**
	 * Returns formatted message text.
	 *
	 * @return string
	 */
	public function getFormattedMessage() {
		// assign embedded attachments
		AttachmentBBCode::setObjectID($this->firstPostID);
		
		// parse and return message
		MessageParser::getInstance()->setOutputType('text/html');
		$message = MessageParser::getInstance()->parse($this->message, $this->enableSmilies, $this->enableHtml, $this->enableBBCodes);
		return StringUtil::truncateHTML($message, WBB_NEWS_MAX_MESSAGE_LENGTH);
	}
	
	/**
	 * @see	wbb\data\thread\ViewableThread::isNew()
	 */
	public function isNew() {
		if ($this->time > $this->getVisitTime()) {
			return true;
		}
		
		return false;
	}
}
