<?php
namespace wbb\data\thread;

/**
 * Represents a list of search results.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.thread
 * @category	Burning Board
 */
class SearchResultThreadList extends ViewableThreadList {
	/**
	 * @see	wcf\data\DatabaseObjectList::$decoratorClassName
	 */
	public $decoratorClassName = 'wbb\data\thread\SearchResultThread';
	
	/**
	 * Creates a new SearchResultThreadList object.
	 */
	public function __construct() {
		parent::__construct();
		
		if (!empty($this->sqlSelects)) $this->sqlSelects .= ',';
		$this->sqlSelects .= 'board.boardID, board.title, board.enableMarkingAsDone';
		$this->sqlJoins .= " LEFT JOIN wbb".WCF_N."_board board ON (board.boardID = thread.boardID)";
	}
}
