<?php
namespace wbb\data\thread;
use wcf\system\visitTracker\VisitTracker;
use wcf\system\WCF;

/**
 * Represents a list of unread threads.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	data.thread
 * @category	Burning Board
 */
class UnreadThreadList extends AccessibleThreadList {
	/**
	 * Creates a new UnreadThreadList object.
	 */
	public function __construct() {
		parent::__construct();
		
		$this->getConditionBuilder()->add("thread.lastPostTime > ?", array(VisitTracker::getInstance()->getVisitTime('com.woltlab.wbb.thread')));
		
		if (WCF::getUser()->userID) {
			$this->sqlConditionJoins = "	LEFT JOIN	wcf".WCF_N."_tracked_visit tracked_thread_visit
							ON		(tracked_thread_visit.objectTypeID = ".VisitTracker::getInstance()->getObjectTypeID('com.woltlab.wbb.thread')." AND tracked_thread_visit.objectID = thread.threadID AND tracked_thread_visit.userID = ".WCF::getUser()->userID.")
							LEFT JOIN	wcf".WCF_N."_tracked_visit tracked_board_visit
							ON		(tracked_board_visit.objectTypeID = ".VisitTracker::getInstance()->getObjectTypeID('com.woltlab.wbb.board')." AND tracked_board_visit.objectID = thread.boardID AND tracked_board_visit.userID = ".WCF::getUser()->userID.")";
			$this->getConditionBuilder()->add("(thread.lastPostTime > tracked_thread_visit.visitTime OR tracked_thread_visit.visitTime IS NULL)");
			$this->getConditionBuilder()->add("(thread.lastPostTime > tracked_board_visit.visitTime OR tracked_board_visit.visitTime IS NULL)");
		}
	}
}
