<?php
namespace wbb\system\cache\builder;
use wcf\system\cache\builder\AbstractCacheBuilder;
use wcf\system\WCF;

/**
 * Caches last posts and board clicks.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.cache.builder
 * @category	Burning Board
 */
class BoardDataCacheBuilder extends AbstractCacheBuilder {
	/**
	 * @see	wcf\system\cache\builder\AbstractCacheBuilder::$maxLifetime
	 */
	protected $maxLifetime = 300;
	
	/**
	 * @see	wcf\system\cache\builder\AbstractCacheBuilder::rebuild()
	 */
	protected function rebuild(array $parameters) {
		$data = array('lastPostThreadIDs' => array(), 'counts' => array());
		
		// counts
		$sql = "SELECT	boardID, clicks, threads, posts
			FROM	wbb".WCF_N."_board";
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute();
		while ($row = $statement->fetchArray()) {
			$data['counts'][$row['boardID']] = $row;
		}
		
		// last posts (ids)
		$sql = "SELECT		last_post.threadID
			FROM		wbb".WCF_N."_board_last_post last_post";
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute();
		while ($row = $statement->fetchArray()) {
			$data['lastPostThreadIDs'][] = $row['threadID'];
		}
		
		return $data;
	}
}
