<?php
namespace wbb\system\cache\builder;
use wcf\data\user\UserList;
use wcf\system\cache\builder\AbstractCacheBuilder;
use wcf\system\WCF;

/**
 * Caches the list of the top poster.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.cache.builder
 * @category	Burning Board
 */
class TopPosterCacheBuilder extends AbstractCacheBuilder {
	/**
	 * @see	wcf\system\cache\builder\AbstractCacheBuilder::$maxLifetime
	 */
	protected $maxLifetime = 600;
	
	/**
	 * @see	wcf\system\cache\builder\AbstractCacheBuilder::rebuild()
	 */
	protected function rebuild(array $parameters) {
		$userProfileList = new UserList();
		$userProfileList->getConditionBuilder()->add('user_table.wbbPosts > 0');
		$userProfileList->sqlOrderBy = 'user_table.wbbPosts DESC';
		$userProfileList->sqlLimit = 5;
		$userProfileList->readObjectIDs();
		
		return $userProfileList->getObjectIDs();
	}
}
