<?php
namespace wbb\system\cronjob;
use wbb\data\post\PostAction;
use wbb\data\thread\ThreadAction;
use wcf\data\cronjob\Cronjob;
use wcf\system\cronjob\AbstractCronjob;
use wcf\system\WCF;

/**
 * Delete thrashed threads.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.cronjob
 * @category	Burning Board
 */
class EmptyRecycleBinCronjob extends AbstractCronjob {
	/**
	 * @see	wcf\system\cronjob\ICronjob::execute()
	 */
	public function execute(Cronjob $cronjob) {
		parent::execute($cronjob);
		
		if (WBB_THREAD_EMPTY_RECYCLE_BIN_CYCLE) {
			// delete threads first
			$threadIDs = array();
			$sql = "SELECT	threadID
				FROM	wbb".WCF_N."_thread
				WHERE	isDeleted = ?
					AND deleteTime < ?";
			$statement = WCF::getDB()->prepareStatement($sql, 1000);
			$statement->execute(array(1, (TIME_NOW - WBB_THREAD_EMPTY_RECYCLE_BIN_CYCLE * 86400)));
			while ($row = $statement->fetchArray()) {
				$threadIDs[] = $row['threadID'];
			}
			
			if (!empty($threadIDs)) {
				$action = new ThreadAction($threadIDs, 'delete');
				$action->executeAction();
			}
			
			// delete posts
			$postIDs = array();
			$sql = "SELECT	postID
				FROM	wbb".WCF_N."_post
				WHERE	isDeleted = ?
					AND deleteTime < ?";
			$statement = WCF::getDB()->prepareStatement($sql, 1000);
			$statement->execute(array(1, (TIME_NOW - WBB_THREAD_EMPTY_RECYCLE_BIN_CYCLE * 86400)));
			while ($row = $statement->fetchArray()) {
				$postIDs[] = $row['postID'];
			}
			
			if (!empty($postIDs)) {
				$action = new PostAction($postIDs, 'delete');
				$action->executeAction();
			}
		}
	}
}
