<?php
namespace wbb\system\dashboard\box;
use wbb\data\thread\LatestPostsList;
use wcf\data\dashboard\box\DashboardBox;
use wcf\page\IPage;
use wcf\system\dashboard\box\AbstractSidebarDashboardBox;
use wcf\system\WCF;

/**
 * Dashboard sidebar box for latest posts.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.dashboard.box
 * @category	Burning Board
 */
class LatestPostsDashboardBox extends AbstractSidebarDashboardBox {
	/**
	 * latest posts list
	 * @var	wbb\data\thread\LatestPostsList
	 */
	public $latestPostsList = null;
	
	/**
	 * @see	wcf\system\dashboard\box\IDashboardBox::init()
	 */
	public function init(DashboardBox $box, IPage $page) {
		parent::init($box, $page);
		
		$this->latestPostsList = new LatestPostsList();
		$this->latestPostsList->readObjects();
		
		$this->fetched();
	}
	
	/**
	 * @see	wcf\system\dashboard\box\AbstractContentDashboardBox::render()
	 */
	protected function render() {
		if (!count($this->latestPostsList)) return '';
		
		WCF::getTPL()->assign(array(
			'latestPostsList' => $this->latestPostsList
		));
		
		return WCF::getTPL()->fetch('dashboardBoxLatestPosts', 'wbb');
	}
}
