<?php
namespace wbb\system\dashboard\box;
use wbb\data\thread\MostActiveThreadList;
use wbb\page\BoardPage;
use wcf\data\dashboard\box\DashboardBox;
use wcf\page\IPage;
use wcf\system\dashboard\box\AbstractSidebarDashboardBox;
use wcf\system\WCF;

/**
 * Dashboard sidebar box for most active threads.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.dashboard.box
 * @category	Burning Board
 */
class MostActiveThreadsDashboardBox extends AbstractSidebarDashboardBox {
	/**
	 * most active thread list
	 * @var	wbb\data\thread\MostActiveThreadList
	 */
	public $threadList = null;
	
	/**
	 * @see	wcf\system\dashboard\box\IDashboardBox::init()
	 */
	public function init(DashboardBox $box, IPage $page) {
		parent::init($box, $page);
		
		$boardID = ($page instanceof BoardPage) ? $page->boardID : 0;
		
		$this->threadList = new MostActiveThreadList($boardID);
		$this->threadList->readObjects();
		
		$this->fetched();
	}
	
	/**
	 * @see	wcf\system\dashboard\box\AbstractContentDashboardBox::render()
	 */
	protected function render() {
		if (!count($this->threadList)) return '';
		
		WCF::getTPL()->assign(array(
			'threads' => $this->threadList
		));
		
		return WCF::getTPL()->fetch('dashboardBoxMostActiveThreads', 'wbb');
	}
}
