<?php
namespace wbb\system\dashboard\box;
use wbb\data\thread\UnreadThreadList;
use wcf\data\dashboard\box\DashboardBox;
use wcf\page\IPage;
use wcf\system\dashboard\box\AbstractContentDashboardBox;
use wcf\system\WCF;

/**
 * Dashboard sidebar box for unread posts.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.dashboard.box
 * @category	Burning Board
 */
class UnreadPostsContentDashboardBox extends AbstractContentDashboardBox {
	/**
	 * thread list
	 * @var	wbb\data\thread\UnreadThreadList
	 */
	public $unreadThreadList = null;
	
	/**
	 * @see	wcf\system\dashboard\box\IDashboardBox::init()
	 */
	public function init(DashboardBox $box, IPage $page) {
		parent::init($box, $page);
		
		// init news list
		$this->unreadThreadList = new UnreadThreadList();
		$this->unreadThreadList->sqlLimit = WBB_UNREAD_POSTS_ITEMS;
		$this->unreadThreadList->readObjects();
		
		$this->fetched();
	}
	
	/**
	 * @see	wcf\system\dashboard\box\AbstractContentDashboardBox::render()
	 */
	protected function render() {
		if (count($this->unreadThreadList)) {
			WCF::getTPL()->assign(array(
				'unreadThreadList' => $this->unreadThreadList
			));
			
			return WCF::getTPL()->fetch('dashboardBoxUnreadPosts', 'wbb');
		}
	}
}
