<?php
namespace wbb\system\event\listener;
use wcf\system\event\IEventListener;

/**
 * Handles the show results as threads option.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.event.listener
 * @category	Burning Board
 */
class SearchListener implements IEventListener {
	public static $findThreads = false;
	
	/**
	 * @see wcf\system\event\IEventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if ($eventName == 'readFormParameters') {
			if (!empty($_POST['findThreads']) || !empty($_REQUEST['findUserThreads'])) {
				if (empty($eventObj->selectedObjectTypes) || in_array('com.woltlab.wbb.post', $eventObj->selectedObjectTypes)) {
					$eventObj->selectedObjectTypes = array('com.woltlab.wbb.post');
				}
				
				if ($eventObj->sortField == 'relevance') {
					$eventObj->sortField = 'time';
				}
			}
		}
		
		if ($eventName == 'assignVariables') {
			if (static::$findThreads) {
				$eventObj->resultListTemplateName = 'searchResultThreadList';
				$eventObj->resultListApplication = 'wbb';
			}
		}
	}
}
