<?php
namespace wbb\system\event\listener;
use wcf\system\event\IEventListener;
use wcf\system\WCF;
use wcf\util\StringUtil;

/**
 * Handles additional conditions in user search / user bulk processing.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.event.listener
 * @category	Burning Board
 */
class UserSearchFormPostsListener implements IEventListener {
	/**
	 * form object
	 * @var	wcf\acp\form\AbstractForm
	 */
	protected $eventObj = null;
	
	/**
	 * posts less than
	 * @var boolean
	 */
	public $postsLessThan = '';
	
	/**
	 * posts greater than
	 * @var boolean
	 */
	public $postsGreaterThan = '';
	
	/**
	 * @see	wcf\system\event\IEventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		$this->eventObj = $eventObj;
		
		$this->$eventName();
	}
	
	/**
	 * Handles the readFormParameters event.
	 */
	protected function readFormParameters() {
		if (!empty($_POST['postsLessThan'])) $this->postsLessThan = intvaL($_POST['postsLessThan']);
		if (!empty($_POST['postsGreaterThan'])) $this->postsGreaterThan = intvaL($_POST['postsGreaterThan']);
	}
	
	/**
	 * Handles the assignVariables event.
	 */
	protected function assignVariables() {
		WCF::getTPL()->assign(array(
			'postsLessThan' => $this->postsLessThan,
			'postsGreaterThan' => $this->postsGreaterThan
		));
	}
	
	/**
	 * Handles the buildConditions event.
	 */
	protected function buildConditions() {
		if ($this->postsGreaterThan) {
			$this->eventObj->conditions->add('user_table.wbbPosts > ?', array($this->postsGreaterThan));
		}
		if ($this->postsLessThan) {
			$this->eventObj->conditions->add('user_table.wbbPosts < ?', array($this->postsLessThan));
		}
	}
}
