<?php
namespace wbb\system\event\listener;
use wcf\system\database\util\PreparedStatementConditionBuilder;
use wcf\system\event\IEventListener;
use wcf\system\WCF;

/**
 * Merges user posts and threads.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.event.listener
 * @category	Burning Board
 */
class WBBUserMergeListener implements IEventListener {
	/**
	 * @see	wcf\system\event\IEventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		// post
		$conditions = new PreparedStatementConditionBuilder();
		$conditions->add("userID IN (?)", array($eventObj->mergedUserIDs));
		$sql = "UPDATE	wbb".WCF_N."_post
			SET	userID = ?
			".$conditions;
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute(array_merge(array($eventObj->destinationUserID), $conditions->getParameters()));
		
		// thread
		$conditions = new PreparedStatementConditionBuilder();
		$conditions->add("userID IN (?)", array($eventObj->mergedUserIDs));
		$sql = "UPDATE	wbb".WCF_N."_thread
			SET	userID = ?
			".$conditions;
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute(array_merge(array($eventObj->destinationUserID), $conditions->getParameters()));
	}
}
