<?php
namespace wbb\system\importer;
use wcf\data\object\type\ObjectTypeCache;
use wcf\system\importer\AbstractACLImporter;
use wcf\system\importer\IImporter;
use wcf\system\importer\ImportHandler;

/**
 * Imports ACLs.
 *
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.importer
 * @category	Burning Board
 */
class ACLImporter extends AbstractACLImporter {
	/**
	 * @see wcf\system\importer\AbstractACLImporter::$objectTypeName
	 */
	protected $objectTypeName = 'com.woltlab.wbb.board';
	
	/**
	 * Creates a new ACLImporter object.
	 */
	public function __construct() {
		$objectType = ObjectTypeCache::getInstance()->getObjectTypeByName('com.woltlab.wcf.acl', 'com.woltlab.wbb.board');
		$this->objectTypeID = $objectType->objectTypeID;
		
		parent::__construct();
	}
}
