<?php
namespace wbb\system\importer;
use wbb\data\board\Board;
use wbb\data\board\BoardAction;
use wcf\system\importer\AbstractImporter;
use wcf\system\importer\ImportHandler;

/**
 * Imports boards.
 *
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.importer
 * @category	Burning Board
 */
class BoardImporter extends AbstractImporter {
	/**
	 * @see wcf\system\importer\AbstractImporter::$className
	 */
	protected $className = 'wbb\data\board\Board';
	
	/**
	 * @see wcf\system\importer\IImporter::import()
	 */
	public function import($oldID, array $data, array $additionalData = array()) {
		if ($data['parentID'] !== null) $data['parentID'] = ImportHandler::getInstance()->getNewID('com.woltlab.wbb.board', $data['parentID']);
		
		// check old id
		if (is_numeric($oldID)) {
			$board = new Board($oldID);
			if (!$board->boardID) $data['boardID'] = $oldID;
		}
		
		$action = new BoardAction(array(), 'create', array(
			'data' => $data		
		));
		$returnValues = $action->executeAction();
		$newID = $returnValues['returnValues']->boardID;
		
		ImportHandler::getInstance()->saveNewID('com.woltlab.wbb.board', $oldID, $newID);
		
		return $newID;
	}
}
