<?php
namespace wbb\system\importer;
use wbb\data\post\Post;
use wbb\data\post\PostEditor;
use wcf\data\object\type\ObjectTypeCache;
use wcf\system\importer\AbstractPollImporter;
use wcf\system\importer\ImportHandler;

/**
 * Imports polls.
 *
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.importer
 * @category	Burning Board
 */
class PollImporter extends AbstractPollImporter {
	/**
	 * @see wcf\system\importer\AbstractPollImporter::$objectTypeName
	 */
	protected $objectTypeName = 'com.woltlab.wbb.poll';
	
	/**
	 * Creates a new PollImporter object.
	 */
	public function __construct() {
		$objectType = ObjectTypeCache::getInstance()->getObjectTypeByName('com.woltlab.wcf.poll', 'com.woltlab.wbb.post');
		$this->objectTypeID = $objectType->objectTypeID;
	}
	
	/**
	 * @see wcf\system\importer\IImporter::import()
	 */
	public function import($oldID, array $data, array $additionalData = array()) {
		$data['objectID'] = ImportHandler::getInstance()->getNewID('com.woltlab.wbb.post', $data['objectID']);
		if (!$data['objectID']) return 0;
		
		$pollID = parent::import($oldID, $data);
		
		// update post
		$post = new PostEditor(new Post(null, array('postID' => $data['objectID'])));
		$post->update(array(
			'pollID' => $pollID		
		));
		
		return $pollID;
	}
}
