<?php
namespace wbb\system\importer;
use wbb\data\post\Post;
use wbb\data\post\PostEditor;
use wcf\system\importer\AbstractImporter;
use wcf\system\importer\ImportHandler;

/**
 * Imports posts.
 *
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.importer
 * @category	Burning Board
 */
class PostImporter extends AbstractImporter {
	/**
	 * @see wcf\system\importer\AbstractImporter::$className
	 */
	protected $className = 'wbb\data\post\Post';
	
	/**
	 * @see wcf\system\importer\IImporter::import()
	 */
	public function import($oldID, array $data, array $additionalData = array()) {
		$data['threadID'] = ImportHandler::getInstance()->getNewID('com.woltlab.wbb.thread', $data['threadID']);
		if (!$data['threadID']) return 0;
		$data['userID'] = ImportHandler::getInstance()->getNewID('com.woltlab.wcf.user', $data['userID']);
		if ($data['editorID']) $data['editorID'] = ImportHandler::getInstance()->getNewID('com.woltlab.wcf.user', $data['editorID']);
			 
		// check old id
		if (is_numeric($oldID)) {
			$post = new Post($oldID);
			if (!$post->postID) $data['postID'] = $oldID;
		}
		
		$post = PostEditor::create($data);
		
		ImportHandler::getInstance()->saveNewID('com.woltlab.wbb.post', $oldID, $post->postID);
		
		return $post->postID;
	}
}
