<?php
namespace wbb\system\label\object;
use wbb\data\board\BoardCache;
use wcf\system\label\object\AbstractLabelObjectHandler;
use wcf\system\label\LabelHandler;

/**
 * Label handler for threads.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.label.object
 * @category	Burning Board
 */
class ThreadLabelObjectHandler extends AbstractLabelObjectHandler {
	/**
	 * board id
	 * @var	integer
	 */
	protected $boardID = 0;
	
	/**
	 * @see	wcf\system\label\object\AbstractLabelObjectHandler::$objectType
	 */
	protected $objectType = 'com.woltlab.wbb.thread';
	
	/**
	 * Sets current board id and loads associated label groups.
	 * 
	 * @param	integer		$boardID
	 */
	public function setBoardID($boardID) {
		$this->boardID = $boardID;
		
		// load label groups
		$groupIDs = BoardCache::getInstance()->getLabelGroups($this->boardID);
		$this->labelGroups = (empty($groupIDs)) ? array() : LabelHandler::getInstance()->getLabelGroups($groupIDs);
	}
}
