<?php
namespace wbb\system\moderation;
use wbb\data\post\DeletedPostList;
use wcf\system\moderation\IDeletedContentProvider;

/**
 * Implementation of IDeletedContentProvider for deleted posts.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.moderation
 * @category	Burning Board
 */
class DeletedPostProvider implements IDeletedContentProvider {
	/**
	 * @see wcf\system\moderation\IDeletedContentProvider::getObjectList()
	 */
	public function getObjectList() {
		return new DeletedPostList();
	}
	
	/**
	 * @see wcf\system\moderation\IDeletedContentProvider::getTemplateName()
	 */
	public function getTemplateName() {
		return 'deletedPostList';
	}
	
	/**
	 * @see wcf\system\moderation\IDeletedContentProvider::getApplication()
	 */
	public function getApplication() {
		return 'wbb';
	}
}
