<?php
namespace wbb\system\moderation\queue\activation;
use wbb\data\post\PostAction;
use wbb\data\post\ViewablePost;
use wbb\system\moderation\queue\AbstractPostModerationQueueHandler;
use wcf\data\moderation\queue\ModerationQueue;
use wcf\data\moderation\queue\ViewableModerationQueue;
use wcf\system\moderation\queue\activation\IModerationQueueActivationHandler;
use wcf\system\WCF;

/**
 * An implementation of IModerationQueueActivationHandler for forum posts.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.moderation.queue.activation
 * @category	Burning Board
 */
class PostModerationQueueActivationHandler extends AbstractPostModerationQueueHandler implements IModerationQueueActivationHandler {
	/**
	 * @see	wcf\system\moderation\queue\AbstractModerationQueueHandler::$definitionName
	 */
	protected $definitionName = 'com.woltlab.wcf.moderation.activation';
	
	/**
	 * @see	wcf\system\moderation\queue\AbstractModerationQueueHandler::$objectType
	 */
	protected $objectType = 'com.woltlab.wbb.post';
	
	/**
	 * @see	wcf\system\moderation\queue\activation\IModerationQueueActivationHandler::enableContent()
	 */
	public function enableContent(ModerationQueue $queue) {
		if ($this->isValid($queue->objectID) && $this->getPost($queue->objectID)->isDisabled) {
			$postAction = new PostAction(array($this->getPost($queue->objectID)), 'enable');
			$postAction->executeAction();
		}
	}
	
	/**
	 * @see	wcf\system\moderation\queue\activation\IModerationQueueActivationHandler::getDisabledContent()
	 */
	public function getDisabledContent(ViewableModerationQueue $queue) {
		WCF::getTPL()->assign(array(
			'post' => new ViewablePost($queue->getAffectedObject())
		));
		
		return WCF::getTPL()->fetch('moderationPost', 'wbb');
	}
}
