<?php
namespace wbb\system\poll;
use wbb\data\post\Post;
use wcf\data\poll\Poll;
use wcf\system\poll\AbstractPollHandler;
use wcf\system\WCF;

/**
 * An implementation of IPollHandler for forum posts.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.poll
 * @category	Burning Board
 */
class PostPollHandler extends AbstractPollHandler {
	/**
	 * @see	wcf\system\poll\IPollHandler::canStartPublicPoll()
	 */
	public function canStartPublicPoll() {
		return (WCF::getSession()->getPermission('user.board.canStartPublicPoll') ? true : false);
	}
	
	/**
	 * @see	wcf\system\poll\IPollHandler::canVote()
	 */
	public function canVote() {
		return (WCF::getSession()->getPermission('user.board.canVotePoll') ? true : false);
	}
	
	/**
	 * @see	wcf\system\poll\IPollHandler::getRelatedObject()
	 */
	public function getRelatedObject(Poll $poll) {
		$post = new Post($poll->objectID);
		if ($post->postID && $post->pollID == $poll->pollID) {
			return $post;
		}
		
		return null;
	}
}
