<?php
namespace wbb\system\sitemap;
use wbb\data\board\FilteredBoardNodeList;
use wcf\system\sitemap\ISitemapProvider;
use wcf\system\WCF;

/**
 * Provides a sitemap for boards.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.sitemap
 * @category	Burning Board
 */
class BoardSitemapProvider implements ISitemapProvider {
	/**
	 * @see	wcf\system\sitemap\ISitemapProvider::getTemplate()
	 */
	public function getTemplate() {
		$boardList = new FilteredBoardNodeList();
		$boardList->readNodeTree();
		
		WCF::getTPL()->assign(array(
			'boardNodeList' => $boardList->getNodeList()
		));
		
		return WCF::getTPL()->fetch('sitemapBoard', 'wbb');
	}
}
