<?php
namespace wbb\system\tagging;
use wbb\data\thread\TaggedThreadList;
use wcf\data\tag\Tag;
use wcf\system\tagging\ITaggable;

/**
 * Implementation of ITaggable for thread tagging.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.tagging
 * @category	Burning Board
 */
class TaggableThread implements ITaggable {
	/**
	 * @see wcf\system\tagging\ITaggable::getObjectList()
	 */
	public function getObjectList(Tag $tag) {
		return new TaggedThreadList($tag);
	}
	
	/**
	 * @see wcf\system\tagging\ITaggable::getTemplateName()
	 */
	public function getTemplateName() {
		return 'searchResultThreadList';
	}
	
	/**
	 * @see wcf\system\tagging\ITaggable::getApplication()
	 */
	public function getApplication() {
		return 'wbb';
	}
}
