<?php
namespace wbb\system\thread\editor;
use wbb\data\thread\Thread;

/**
 * Default interface for thread editors.
 * 
 * @author	Alexander Ebert
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.thread.editor
 * @category	Burning Board
 */
interface IThreadEditor {
	/**
	 * Sets active thread.
	 * 
	 * @param	wbb\data\thread\Thread	$thread
	 */
	public function setThread(Thread $thread);
	
	/**
	 * Returns template for thread editor.
	 * 
	 * @return	string
	 */
	public function beginEdit();
	
	/**
	 * Validates editor data.
	 * 
	 * @param	array		$data
	 */
	public function validate(array &$data);
	
	/**
	 * Saves editor data.
	 * 
	 * @param	array		$data
	 * @return	array
	 */
	public function saveEdit(array $data);
}
