<?php
namespace wbb\system\user\notification\event;
use wcf\system\request\LinkHandler;
use wcf\system\user\notification\event\AbstractUserNotificationEvent;

/**
 * Notification event for mentions.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.user.notification.event
 * @category	Burning Board
 */
class MentionUserNotificationEvent extends AbstractUserNotificationEvent {
	/**
	 * @see	wcf\system\user\notification\event\IUserNotificationEvent::getTitle()
	 */
	public function getTitle() {
		return $this->getLanguage()->get('wbb.post.mention.notification.title');
	}
	
	/**
	 * @see	wcf\system\user\notification\event\IUserNotificationEvent::getMessage()
	 */
	public function getMessage() {
		return $this->getLanguage()->getDynamicVariable('wbb.post.mention.notification.message', array(
			'userNotificationObject' => $this->userNotificationObject,
			'author' => $this->author
		));
	}
	
	/**
	 * @see	wcf\system\user\notification\event\IUserNotificationEvent::getEmailMessage()
	 */
	public function getEmailMessage($notificationType = 'instant') {
		return $this->getLanguage()->getDynamicVariable('wbb.post.mention.notification.mail', array(
			'userNotificationObject' => $this->userNotificationObject,
			'author' => $this->author
		));
	}
	
	/**
	 * @see	wcf\system\user\notification\event\IUserNotificationEvent::getLink()
	 */
	public function getLink() {
		return LinkHandler::getInstance()->getLink('Thread', array(
				'application' => 'wbb',
				'object' => $this->userNotificationObject->getThread(),
				'postID' => $this->userNotificationObject->postID
		), '#post'.$this->userNotificationObject->postID);
	}
}
