<?php
namespace wbb\system\user\online\location;
use wbb\data\board\BoardCache;
use wcf\data\user\online\UserOnline;
use wcf\system\user\online\location\IUserOnlineLocation;
use wcf\system\WCF;

/**
 * Implementation of IUserOnlineLocation for the board page location.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.user.online
 * @category	Burning Board
 */
class BoardLocation implements IUserOnlineLocation {
	/**
	 * @see	wcf\system\user\online\location\IUserOnlineLocation::cache()
	 */
	public function cache(UserOnline $user) {}
	
	/**
	 * @see	wcf\system\user\online\location\IUserOnlineLocation::get()
	 */
	public function get(UserOnline $user, $languageVariable = '') {
		if ($board = BoardCache::getInstance()->getBoard($user->objectID)) {
			if ($board->getPermission()) {
				return WCF::getLanguage()->getDynamicVariable($languageVariable, array('board' => $board));
			}
		}
		
		return '';
	}
}
