<?php
namespace wbb\system\worker;
use wbb\data\board\BoardEditor;
use wbb\system\cache\builder\BoardDataCacheBuilder;
use wcf\system\worker\AbstractRebuildDataWorker;

/**
 * Worker implementation for updating boards.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2013 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb
 * @subpackage	system.worker
 * @category	Burning Board
 */
class BoardRebuildDataWorker extends AbstractRebuildDataWorker {
	/**
	 * @see	wcf\system\worker\AbstractRebuildDataWorker::$objectListClassName
	 */
	protected $objectListClassName = 'wbb\data\board\BoardList';
	
	/**
	 * @see	wcf\system\worker\AbstractWorker::$limit
	 */
	protected $limit = 20;
	
	/**
	 * @see	wcf\system\worker\AbstractRebuildDataWorker::initObjectList
	 */
	protected function initObjectList() {
		parent::initObjectList();
		
		$this->objectList->sqlOrderBy = 'board.boardID';
	}
	
	/**
	 * @see	wcf\system\worker\IWorker::execute()
	 */
	public function execute() {
		parent::execute();
		
		foreach ($this->objectList as $board) {
			$editor = new BoardEditor($board);
			
			// last posts
			$editor->updateLastPost();
			
			// stats
			$editor->rebuildStats();
		}
		
		BoardDataCacheBuilder::getInstance()->reset();
	}
}
