{include file='header' pageTitle='wbb.acp.bulkProcessing.post'}

<script data-relocate="true">
	//<![CDATA[
	$(function() {
		WCF.TabMenu.init();
	});
	//]]>
</script>

<header class="boxHeadline">
	<h1>{lang}wbb.acp.bulkProcessing.post{/lang}</h1>
</header>

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

{if $affectedPosts|isset}
	<p class="success">{lang}wbb.acp.bulkProcessing.post.success{/lang}</p>	
{/if}

<p class="warning">{lang}wbb.acp.bulkProcessing.post.warning{/lang}</p>

{hascontent}
	<div class="contentNavigation">
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtons'}
				{/content}
			</ul>
		</nav>
	</div>
{/hascontent}

<form method="post" action="{link application='wbb' controller='PostBulkProcessing'}{/link}">
	<div class="tabMenuContainer" data-active="{$activeTabMenuItem}" data-store="activeTabMenuItem">
		<nav class="tabMenu">
			<ul>
				<li><a href="{@$__wcf->getAnchor('conditions')}">{lang}wbb.acp.bulkProcessing.conditions{/lang}</a></li>
				<li><a href="{@$__wcf->getAnchor('action')}">{lang}wbb.acp.bulkProcessing.action{/lang}</a></li>
				{event name='tabMenuTabs'}
			</ul>
		</nav>
		
		<div id="conditions" class="container containerPadding tabMenuContent">
			<fieldset>
				<legend>{lang}wbb.acp.bulkProcessing.conditions{/lang}</legend>
				
				<dl>
					<dt><label for="timeAfter">{lang}wbb.acp.bulkProcessing.conditions.time{/lang}</label></dt>
					<dd>
						<input type="date" id="timeAfter" name="timeAfter" value="{$timeAfter}" placeholder="{lang}wbb.acp.bulkProcessing.conditions.time.after{/lang}" />
						<input type="date" id="timeBefore" name="timeBefore" value="{$timeBefore}" placeholder="{lang}wbb.acp.bulkProcessing.conditions.time.before{/lang}" />
					</dd>
				</dl>
				
				<dl>
					<dt><label for="createdBy">{lang}wbb.acp.bulkProcessing.conditions.createdBy{/lang}</label></dt>
					<dd>
						<input type="text" id="createdBy" name="createdBy" value="{$createdBy}" class="long" />
					</dd>
				</dl>
				
				<dl>
					<dt><label for="boardIDs">{lang}wbb.acp.bulkProcessing.conditions.boards{/lang}</label></dt>
					<dd>
						<select name="boardIDs[]" id="boardIDs" multiple="multiple" size="10">
							{foreach from=$boardNodeList item=boardNode}
								<option value="{@$boardNode->getBoard()->boardID}"{if $boardNode->getBoard()->boardID|in_array:$boardIDs} selected="selected"{/if}>{if $boardNode->getDepth() > 1}{@'&nbsp;&nbsp;&nbsp;&nbsp;'|str_repeat:-1+$boardNode->getDepth()}{/if}{$boardNode->getBoard()->title|language}</option>
							{/foreach}
						</select>
						<small>{lang}wcf.global.multiSelect{/lang}</small>
					</dd>
				</dl>
				
				{event name='conditionFields'}
			</fieldset>
			
			<fieldset>
				<legend>{lang}wbb.acp.bulkProcessing.conditions.states{/lang}</legend>
				
				<dl>
					<dt></dt>
					<dd>
						<label><input type="checkbox" name="deleted" value="1" {if $deleted == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.deleted{/lang}</label>
						<label><input type="checkbox" name="notDeleted" value="1" {if $notDeleted == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.notDeleted{/lang}</label>
						<label><input type="checkbox" name="disabled" value="1" {if $disabled == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.disabled{/lang}</label>
						<label><input type="checkbox" name="notDisabled" value="1" {if $notDisabled == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.notDisabled{/lang}</label>
						<label><input type="checkbox" name="closed" value="1" {if $closed == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.closed{/lang}</label>
						<label><input type="checkbox" name="open" value="1" {if $open == 1}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.conditions.state.open{/lang}</label>
					</dd>
				</dl>
				
				{event name='stateFields'}
			</fieldset>
		</div>
		
		<div id="action" class="container containerPadding tabMenuContent">
			<fieldset>
				<legend>{lang}wbb.acp.bulkProcessing.action{/lang}</legend>
				
				<dl{if $errorField == 'action'} class="formError"{/if}>
					<dd>
						<label><input type="radio" name="action" value="trash" {if $action == 'trash'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.trash{/lang}</label>
						<label><input type="radio" name="action" value="delete" {if $action == 'delete'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.delete{/lang}</label>
						<label><input type="radio" name="action" value="restore" {if $action == 'restore'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.restore{/lang}</label>
						<label><input type="radio" name="action" value="disable" {if $action == 'disable'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.disable{/lang}</label>
						<label><input type="radio" name="action" value="enable" {if $action == 'enable'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.enable{/lang}</label>
						<label><input type="radio" name="action" value="close" {if $action == 'close'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.close{/lang}</label>
						<label><input type="radio" name="action" value="open" {if $action == 'open'}checked="checked" {/if}/> {lang}wbb.acp.bulkProcessing.action.open{/lang}</label>
						
						{event name='actions'}
						
						{if $errorField == 'action'}
							<small class="innerError">
								{if $errorType == 'empty'}{lang}wcf.global.form.error.empty{/lang}{/if}
							</small>
						{/if}
					</dd>
				</dl>
				
				{event name='actionFields'}
			</fieldset>
		</div>
		
		{event name='tabMenuContents'}
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
	</div>
</form>

{include file='footer'}