{include file='documentHeader'}

<head>
	<title>{lang}wbb.post.edit{/lang} - {$thread->topic} - {$board->title|language} - {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			{if $isFirstPost && $labelGroups|count}
				WCF.Language.addObject({
					'wcf.label.none': '{lang}wcf.label.none{/lang}',
				});
				
				new WCF.Label.Chooser({ {implode from=$labelIDs key=groupID item=labelID}{@$groupID}: {@$labelID}{/implode} }, '#messageContainer');
			{/if}
			
			{include file='__messageQuoteManager' wysiwygSelector='text'}
			new WBB.Post.QuoteHandler($quoteManager);
			
			WCF.Message.Submit.registerButton('text', $('#messageContainer > .formSubmit > input[type=submit]'));
			new WCF.Message.FormGuard();
			
			new WCF.Message.UserMention('text');
		});
		//]]>
	</script>
</head>

<body id="tpl{$templateName|ucfirst}">
{include file='header'}

<header class="boxHeadline">
	<h1>{lang}wbb.post.edit{/lang}</h1>
</header>

{include file='userNotice'}

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

<form id="messageContainer" class="jsFormGuard" method="post" action="{link application='wbb' controller='PostEdit' id=$postID}{/link}">
	<div class="container containerPadding marginTop">
		{if $post->canDelete() && !$post->isDeleted}
			<fieldset>
				<legend>{lang}wbb.post.delete{/lang}</legend>
				
				<dl>
					<dt></dt>
					<dd><label><input type="checkbox" name="deletePost" value="1" {if $deletePost == 1}checked="checked" {/if}/> {lang}wbb.post.delete.sure{/lang}</label></dd>
				</dl>
				
				<dl{if $errorField == 'deleteReason'} class="formError"{/if}>
					<dt><label for="deleteReason">{lang}wbb.post.deleteReason{/lang}</label></dt>
					<dd>
						<textarea rows="3" cols="40" id="deleteReason" name="deleteReason">{$deleteReason}</textarea>
						{if $errorField == 'deleteReason'}
							<small class="innerError">
								{if $errorType == 'censoredWordsFound'}
									{lang}wcf.message.error.censoredWordsFound{/lang}
								{else}
									{lang}wbb.post.deleteReason.error.{@$errorType}{/lang}
								{/if}
							</small>
						{/if}
					</dd>
				</dl>
			</fieldset>
		{/if}
		
		{if $isFirstPost}{include file='threadTypeSelection' application='wbb'}{/if}
		
		<fieldset>
			<legend>{lang}wbb.post.information{/lang}</legend>
			
			{include file='messageFormMultilingualism'}
			
			{if $isFirstPost}
				{hascontent}
					<dl class="jsOnly{if $errorField == 'labelIDs'} formError{/if}">
						<dt><label>{lang}wcf.label.label{/lang}</label></dt>
						<dd>
							<ul class="labelList">
								{content}
									{foreach from=$labelGroups item=labelGroup}
										{if $labelGroup|count}
											<li class="dropdown labelChooser" id="labelGroup{@$labelGroup->groupID}" data-group-id="{@$labelGroup->groupID}" data-force-selection="{if $labelGroup->forceSelection}true{else}false{/if}">
												<div class="dropdownToggle" data-toggle="labelGroup{@$labelGroup->groupID}"><span class="badge label">{lang}wcf.label.none{/lang}</span></div>
												<ul class="dropdownMenu">
													{foreach from=$labelGroup item=label}
														<li data-label-id="{@$label->labelID}"><span><span class="badge label{if $label->getClassNames()} {@$label->getClassNames()}{/if}">{lang}{$label->label}{/lang}</span></span></li>
													{/foreach}
												</ul>
											</li>
										{/if}
									{/foreach}
								{/content}
							</ul>
							{if $errorField == 'labelIDs'}
								<small class="innerError">
									{if $errorType == 'empty'}
										{lang}wcf.global.form.error.empty{/lang}
									{else}
										{lang}wbb.post.labelIDs.error.{@$errorType}{/lang}
									{/if}
								</small>
							{/if}
						</dd>
					</dl>
				{/hascontent}
			{/if}
			
			<dl{if $errorField == 'subject'} class="formError"{/if}>
				<dt><label for="subject">{lang}wbb.post.subject{/lang}</label></dt>
				<dd>
					<input type="text" id="subject" name="subject" value="{$subject}"{if $isFirstPost} required="required"{/if} maxlength="255" class="long" />
					{if $errorField == 'subject'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{elseif $errorType == 'censoredWordsFound'}
								{lang}wcf.message.error.censoredWordsFound{/lang}
							{else}
								{lang}wbb.post.subject.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{if $isFirstPost && MODULE_TAGGING && WBB_THREAD_ENABLE_TAGS && $board->getPermission('canSetTags')}{include file='tagInput'}{/if}
			
			<dl{if $errorField == 'editReason'} class="formError"{/if}>
				<dt><label for="editReason">{lang}wbb.post.editReason{/lang}</label></dt>
				<dd>
					<textarea rows="3" cols="40" id="editReason" name="editReason">{$editReason}</textarea>
					{if $errorField == 'editReason'}
						<small class="innerError">
							{if $errorType == 'censoredWordsFound'}
								{lang}wcf.message.error.censoredWordsFound{/lang}
							{else}
								{lang}wbb.post.editReason.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{event name='informationFields'}
		</fieldset>
		
		<fieldset>
			<legend>{lang}wbb.post.message{/lang}</legend>
			
			<dl class="wide{if $errorField == 'text'} formError{/if}">
				<dt><label for="text">{lang}wbb.post.message{/lang}</label></dt>
				<dd>
					<textarea rows="20" cols="40" id="text" name="text">{$text}</textarea>
					{if $errorField == 'text'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{elseif $errorType == 'tooLong'}
								{lang}wcf.message.error.tooLong{/lang}
							{elseif $errorType == 'censoredWordsFound'}
								{lang}wcf.message.error.censoredWordsFound{/lang}
							{elseif $errorType == 'disallowedBBCodes'}
								{lang}wcf.message.error.disallowedBBCodes{/lang}
							{else}
								{lang}wbb.post.message.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{event name='messageFields'}
		</fieldset>
		
		{event name='fieldsets'}
		
		{include file='messageFormTabs' wysiwygContainerID='text'}
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
		{include file='messageFormPreviewButton'}
	</div>
</form>

{if $posts|count}
	<header class="boxHeadline boxSubHeadline">
		<h2>{lang}wbb.post.previousPosts{/lang}{if $items != 1} <span class="badge">{#$items}</span>{/if}</h2>
	</header>
	
	<div>
		<ul class="wbbThreadPostList messageList">
			{foreach from=$posts item=post}
				{assign var='objectID' value=$post->postID}
				
				<li class="marginTop">
					<article class="message messageReduced">
						<div>
							<section class="messageContent">
								<div>
									<header class="messageHeader">
										<div class="box32">
											{if $post->userID}
												<a href="{link controller='User' object=$post->getUserProfile()}{/link}" class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</a>
											{else}
												<span class="framed">{@$post->getUserProfile()->getAvatar()->getImageTag(32)}</span>	
											{/if}
											
											<div class="messageHeadline">
												{if $post->subject}<h1>{$post->subject}</h1>{/if}
												<p>
													<span class="username">{if $post->userID}<a href="{link controller='User' object=$post->getUserProfile()}{/link}">{$post->username}</a>{else}{$post->username}{/if}</span>
													<a href="{link application='wbb' controller='Thread' object=$thread}postID={@$post->postID}{/link}#post{@$post->postID}" class="permalink">{@$post->time|time}</a>
												</p>
											</div>
										</div>
									</header>
									
									<div class="messageBody">
										<div>
											<div class="messageText">
												{@$post->getFormattedMessage()}
											</div>
										</div>
										
										{include file='attachments'}
										
										<footer class="messageOptions">
											<nav class="jsMobileNavigation buttonGroupNavigation">
												<ul class="smallButtons buttonGroup"><li class="toTopLink"><a href="{@$__wcf->getAnchor('top')}" title="{lang}wcf.global.scrollUp{/lang}" class="button jsTooltip"><span class="icon icon16 icon-arrow-up"></span> <span class="invisible">{lang}wcf.global.scrollUp{/lang}</span></a></li></ul>
											</nav>
										</footer>
									</div>
								</div>
							</section>
						</div>
					</article>
				</li>
			{/foreach}
		</ul>
	</div>
{/if}

{include file='footer'}
{include file='wysiwyg'}

</body>
</html>
