{include file='documentHeader'}

<head>
	<title>{lang}wbb.thread.add{/lang} - {$board->title|language} - {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			WCF.Language.addObject({
				'wcf.label.none': '{lang}wcf.label.none{/lang}',
			});
			
			new WCF.Label.Chooser({ {implode from=$labelIDs key=groupID item=labelID}{@$groupID}: {@$labelID}{/implode} }, '#messageContainer');
			{if WBB_THREAD_SHOW_SIMILAR_THREADS_WHEN_CREATING_NEW_THREAD}
				new WBB.Thread.SimilarThreads($('#subject'), {@$board->boardID});
			{/if}
			
			WCF.Message.Submit.registerButton('text', $('#messageContainer > .formSubmit > input[type=submit]'));
			new WCF.Message.FormGuard();
			
			{include file='__messageQuoteManager' wysiwygSelector='text' supportPaste=true}
			
			new WCF.Message.UserMention('text');
		});
		//]]>
	</script>
</head>

<body id="tpl{$templateName|ucfirst}">
{include file='header'}

<header class="boxHeadline">
	<h1>{lang}wbb.thread.add{/lang}</h1>
</header>

{include file='userNotice'}

{if !$board->getPermission('canStartThreadWithoutModeration')}
	<p class="info">{lang}wbb.thread.moderation.info{/lang}</p>
{/if}

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

<form id="messageContainer" class="jsFormGuard" method="post" action="{link application='wbb' controller='ThreadAdd' id=$boardID}{/link}">
	<div class="container containerPadding marginTop">
		{include file='threadTypeSelection' application='wbb'}
		
		<fieldset>
			<legend>{lang}wbb.post.information{/lang}</legend>
			
			{if !$__wcf->user->userID}
				<dl{if $errorField == 'username'} class="formError"{/if}>
					<dt><label for="username">{lang}wcf.user.username{/lang}</label></dt>
					<dd>
						<input type="text" id="username" name="username" value="{$username}" required="required" class="long" />
						{if $errorField == 'username'}
							<small class="innerError">
								{if $errorType == 'empty'}
									{lang}wcf.global.form.error.empty{/lang}
								{else}
									{lang}wcf.user.username.error.{@$errorType}{/lang}
								{/if}
							</small>
						{/if}
					</dd>
				</dl>
			{/if}
			
			{include file='messageFormMultilingualism'}
			
			{if $labelGroups|count}
				<dl{if $errorField == 'labelIDs'} class="formError"{/if}>
					<dt><label>{lang}wcf.label.label{/lang}</label></dt>
					<dd>
						<ul class="labelList jsOnly">
							{foreach from=$labelGroups item=labelGroup}
								{if $labelGroup|count}
									<li class="dropdown labelChooser" id="labelGroup{@$labelGroup->groupID}" data-group-id="{@$labelGroup->groupID}" data-force-selection="{if $labelGroup->forceSelection}true{else}false{/if}">
										<div class="dropdownToggle" data-toggle="labelGroup{@$labelGroup->groupID}"><span class="badge label">{lang}wcf.label.none{/lang}</span></div>
										<ul class="dropdownMenu">
											{foreach from=$labelGroup item=label}
												<li data-label-id="{@$label->labelID}"><span><span class="badge label{if $label->getClassNames()} {@$label->getClassNames()}{/if}">{lang}{$label->label}{/lang}</span></span></li>
											{/foreach}
										</ul>
									</li>
								{/if}
							{/foreach}
						</ul>
						<noscript>
							{foreach from=$labelGroups item=labelGroup}
								{if $labelGroup|count}
									<select name="labelIDs[{@$labelGroup->groupID}]">
										{foreach from=$labelGroup item=label}
											<option value="{@$label->labelID}">{lang}{$label->label}{/lang}</option>
										{/foreach}
									</select>
								{/if}
							{/foreach}
						</noscript>
						{if $errorField == 'labelIDs'}
							<small class="innerError">{lang}wcf.label.error.notValid{/lang}</small>
						{/if}
					</dd>
				</dl>
			{/if}
			
			<dl{if $errorField == 'subject'} class="formError"{/if}>
				<dt><label for="subject">{lang}wbb.post.subject{/lang}</label></dt>
				<dd>
					<input type="text" id="subject" name="subject" value="{$subject}" required="required" maxlength="255" class="long" />
					{if $errorField == 'subject'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{elseif $errorType == 'censoredWordsFound'}
								{lang}wcf.message.error.censoredWordsFound{/lang}
							{else}
								{lang}wbb.post.subject.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{if MODULE_TAGGING && WBB_THREAD_ENABLE_TAGS && $board->getPermission('canSetTags')}{include file='tagInput'}{/if}
			
			{event name='informationFields'}
		</fieldset>
			
		<fieldset>
			<legend>{lang}wbb.post.message{/lang}</legend>
			
			<dl class="wide{if $errorField == 'text'} formError{/if}">
				<dt><label for="text">{lang}wbb.post.message{/lang}</label></dt>
				<dd>
					<textarea id="text" name="text" rows="20" cols="40">{$text}</textarea>
					{if $errorField == 'text'}
						<small class="innerError">
							{if $errorType == 'empty'}
								{lang}wcf.global.form.error.empty{/lang}
							{elseif $errorType == 'tooLong'}
								{lang}wcf.message.error.tooLong{/lang}
							{elseif $errorType == 'censoredWordsFound'}
								{lang}wcf.message.error.censoredWordsFound{/lang}
							{elseif $errorType == 'disallowedBBCodes'}
								{lang}wcf.message.error.disallowedBBCodes{/lang}
							{else}
								{lang}wbb.post.message.error.{@$errorType}{/lang}
							{/if}
						</small>
					{/if}
				</dd>
			</dl>
			
			{event name='messageFields'}
		</fieldset>
		
		{event name='fieldsets'}
		
		{if $useCaptcha}{include file='recaptcha'}{/if}
		
		{include file='messageFormTabs' wysiwygContainerID='text'}
	</div>
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s" />
		{include file='messageFormPreviewButton'}
	</div>
</form>

{include file='footer'}
{include file='wysiwyg'}

</body>
</html>