{include file='documentHeader'}

<head>
	<title>{lang}wbb.thread.watchedThreads{/lang} {if $pageNo > 1}- {lang}wcf.page.pageNo{/lang} {/if}- {PAGE_TITLE|language}</title>
	
	{include file='headInclude'}
	
	<script data-relocate="true">
		//<![CDATA[
		$(function() {
			WCF.Language.addObject({
				'wcf.user.objectWatch.manageSubscription': '{lang}wcf.user.objectWatch.manageSubscription{/lang}',
				'wbb.thread.watchedThreads.stopWatchingAll': '{lang}wbb.thread.watchedThreads.stopWatchingAll{/lang}',
				'wbb.thread.watchedThreads.stopWatchingAll.confirmMessage': '{lang}wbb.thread.watchedThreads.stopWatchingAll.confirmMessage{/lang}',
				'wbb.thread.watchedThreads.stopWatchingMarked': '{lang}wbb.thread.watchedThreads.stopWatchingMarked{/lang}',
				'wbb.thread.watchedThreads.stopWatchingMarked.confirmMessage': '{lang}wbb.thread.watchedThreads.stopWatchingMarked.confirmMessage{/lang}'
			});
			
			new WBB.Thread.MarkAsRead();
			
			new WBB.Thread.WatchedThreadList();
			
			var $threads = $('.wbbThreadList tr.wbbThread');
			if ($threads.length) {
				$threads.each(function(index, thread) {
					var $thread = $(thread);
					
					$('<span> - <a class="jsSubscribeButton" data-object-id="' + $thread.data('threadID') + '" data-object-type="com.woltlab.wbb.thread">{lang}wcf.user.objectWatch.manageSubscription{/lang}</a></span>').appendTo($thread.find('.columnSubject > small'));
				});
				
				new WCF.User.ObjectWatch.Subscribe();
			}
		});
		//]]>
	</script>
</head>

<body id="tpl{$templateName|ucfirst}">

{include file='header'}

<header class="boxHeadline">
	<h1>{lang}wbb.thread.watchedThreads{/lang} <span class="badge">{#$items}</span></h1>
</header>

{include file='userNotice'}

<div class="contentNavigation">
	{pages print=true assign=pagesLinks application='wbb' controller='WatchedThreadList' link="pageNo=%d&sortField=$sortField&sortOrder=$sortOrder"}
	
	{hascontent}
		<nav>
			<ul>
				{content}
					{event name='contentNavigationButtonsTop'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{if $objects|count}
	<div class="marginTop tabularBox tabularBoxTitle messageGroupList wbbThreadList">
		<header>
			<h2>{lang}wbb.thread.watchedThreads{/lang}</h2>
		</header>
		
		<table class="table">
			<thead>
				<tr>
					<th class="columnMark jsOnly"><label><input type="checkbox" class="jsMarkAllWatchedThreads" /></label></th>
					<th colspan="2" class="columnTitle columnSubject{if $sortField == 'topic'} active {@$sortOrder}{/if}"><a href="{link application='wbb' controller='WatchedThreadList'}pageNo={@$pageNo}&sortField=topic&sortOrder={if $sortField == 'topic' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wbb.thread.topic{/lang}</a></th>
					<th class="columnDigits columnReplies{if $sortField == 'replies'} active {@$sortOrder}{/if}"><a href="{link application='wbb' controller='WatchedThreadList'}pageNo={@$pageNo}&sortField=replies&sortOrder={if $sortField == 'replies' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wbb.thread.replies{/lang}</a></th>
					{if MODULE_LIKE && $__wcf->getSession()->getPermission('user.like.canViewLike')}<th class="columnDigits columnLikes{if $sortField == 'likes'} active {@$sortOrder}{/if}"><a href="{link application='wbb' controller='WatchedThreadList'}pageNo={@$pageNo}&sortField=cumulativeLikes&sortOrder={if $sortField == 'cumulativeLikes' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wcf.like.cumulativeLikes{/lang}</a></th>{/if}
					<th class="columnDigits columnViews{if $sortField == 'views'} active {@$sortOrder}{/if}"><a href="{link application='wbb' controller='WatchedThreadList'}pageNo={@$pageNo}&sortField=views&sortOrder={if $sortField == 'views' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wbb.thread.views{/lang}</a></th>
					<th class="columnText columnLastPost{if $sortField == 'lastPostTime'} active {@$sortOrder}{/if}"><a href="{link application='wbb' controller='WatchedThreadList'}pageNo={@$pageNo}&sortField=lastPostTime&sortOrder={if $sortField == 'lastPostTime' && $sortOrder == 'ASC'}DESC{else}ASC{/if}{/link}">{lang}wbb.thread.lastPostTime{/lang}</a></th>
					
					{event name='columnHeads'}
				</tr>
			</thead>
			
			<tbody>
				{include file='threadList' application='wbb' enableEditMode=false enableWatchMode=true showBoardLink=true}
			</tbody>
		</table>
	</div>
{else}
	<p class="info">{lang}wbb.thread.watchedThreads.noThreads{/lang}</p>
{/if}

<div class="contentNavigation">
	{@$pagesLinks}
	
	{hascontent}
		<nav>
			<ul>
				{content}
					{if $objects|count}
						<li class="jsOnly">
							<span id="stopWatchingButton" class="button">{lang}wbb.thread.watchedThreads.stopWatchingAll{/lang}</span>
						</li>
					{/if}
					
					{event name='contentNavigationButtonsBottom'}
				{/content}
			</ul>
		</nav>
	{/hascontent}
</div>

{include file='footer'}

</body>
</html>